Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1157 Abnormal termination ooDialog

v4.2.0
closed
Mark Miesfeld
duplicate (4)
complete
1
2014-04-15
2013-01-29
Staffan Tylen
No

I had an abnormal termination of the rexx environment when testing one of my new ooDialog classes. I haven't since tried to recreate it but I suspect that it was caused by a create... method that may have specified an area outside of the current windows boundaries.

rexxpaws.exe
4.1.2.8305
503d7f0b
rexx.dll
4.1.2.8305
503d7eff
c0000005
00039f48
20fc
01cdfe1e47e2e49d
C:\Program Files (x86)\ooRexx\rexxpaws.exe
C:\Program Files (x86)\ooRexx\rexx.dll
8ece1e1e-6a11-11e2-9b51-f0bf9765b8be

ooDialog: ooDialog Version 4.2.2.8897 (an ooRexx Windows Extension)

ooSQLite: ooSQLite Version 1.0.0.8771 (32 bit) (Encryption enabled)
Built Jan 4 2013 13:14:57
Copyright (c) RexxLA 2012-2013.
All Rights Reserved.

Rexx: Open Object Rexx Version 4.1.2

SQLite: SQLite Library Version 3.7.15
2012-12-12 13:36:53

2012-12-12 13:36:53 cd0b37c52658bfdf992b1e3dc467bae1835a94ae
Encryption available: 1

Let me know if more info is required and I will try to recreate it.

Staffan

Discussion

  • Mark Miesfeld
    Mark Miesfeld
    2013-01-29

    You need to add an example program that causes the crash. Or at the very least explain exactly what was executing when the crash occurred. There is no information here to investigate. ;-)

     
  • Mark Miesfeld
    Mark Miesfeld
    2013-01-29

    Specifying a create value that is outside of the window boundary won't cause a crash:

    self~create(30, 30, 257, 123, "Simple Dialog Simple Dialog Simple Dialog Simple Dialog S", "CENTER")

    ::method defineDialog

    self~createPushButton(IDOK, 342, 99, 250, 14, "DEFAULT", "Ok")

    works fine. The Ok button is created outside the window boundary.

     
  • Mark Miesfeld
    Mark Miesfeld
    2013-01-31

    Hi Staffan,

    Do you have any more info on this?

    From what you initially reported there is nothing to indicate that this even has anything to do with ooDialog.

    Can you even reproduce the crash on your system?

     
  • Mark Miesfeld
    Mark Miesfeld
    2013-12-08

    • labels: --> duplicate
    • status: open --> pending
    • assigned_to: Mark Miesfeld
    • Pending work items: none --> complete
    • Group: None --> v4.2.0
     
  • Mark Miesfeld
    Mark Miesfeld
    2013-12-08

    This bug has the same root cause as: [bugs:#1186] ooRexx/oodialog will either hang or crash from deadlock condition

    Although the title is a litter misleading. The deadlock was a bug in the user's code. It is the crash we are concerned with. The cause of the crash was fixed in 4.1.fixes and has been fixed in trunk for a long time.

     

    Related

    Bugs: #1186


Anonymous


Cancel   Add attachments